ooo-build r12100 - trunk/patches/src680
- From: szalaik svn gnome org
- To: svn-commits-list gnome org
- Subject: ooo-build r12100 - trunk/patches/src680
- Date: Thu, 3 Apr 2008 20:27:12 +0100 (BST)
Author: szalaik
Date: Thu Apr 3 20:27:12 2008
New Revision: 12100
URL: http://svn.gnome.org/viewvc/ooo-build?rev=12100&view=rev
Log:
Corrected file:
M patches/src680/extensions_shellscripts.diff
Modified:
trunk/patches/src680/extensions_shellscripts.diff
Modified: trunk/patches/src680/extensions_shellscripts.diff
==============================================================================
--- trunk/patches/src680/extensions_shellscripts.diff (original)
+++ trunk/patches/src680/extensions_shellscripts.diff Thu Apr 3 20:27:12 2008
@@ -1,214 +1,7 @@
---- setup_native/source/packinfo/shellscripts_extensions.txt.orig 2008-04-03 20:41:51.000000000 +0200
-+++ setup_native/source/packinfo/shellscripts_extensions.txt 2008-04-03 20:41:47.000000000 +0200
-@@ -1,208 +1,414 @@
--%system linux
--
--# As remove does not need the oxt file, this could potentially
--# be done in the postinstall script as well.
--%preinstall << END
--# if this is an update, remove the old package instance first
--test "$$1" = "2" || exit 0
--
--#Find the temp dir
--if [ -n "$$TMPDIR" ]; then
-- UNOPKGTMP="$$TMPDIR"
--elif [ -n "$$TMP" ]; then
-- UNOPKGTMP="$$TMP"
--elif [ -d "/tmp" ]; then
-- UNOPKGTMP="/tmp"
--else
-- echo "No tmp directory found!"
-- exit 1
--fi
--
--#Create the command which creates a temporary directory
--if [ -x "/bin/mktemp" ]
--then
-- INSTDIR=`/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
--else
-- INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-- mkdir "$$INSTDIR"
--fi
--
--if [ -x "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" ]; then
-- "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" remove --shared "${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
--fi
--
--if [ -n "$$INSTDIR" ]; then
-- rm -rf "$$INSTDIR"
--fi
--
--exit 0
--END
--
--%postinstall << END
--#Find the temp dir
--if [ -n "$$TMPDIR" ]; then
-- UNOPKGTMP="$$TMPDIR"
--elif [ -n "$$TMP" ]; then
-- UNOPKGTMP="$$TMP"
--elif [ -d "/tmp" ]; then
-- UNOPKGTMP="/tmp"
--else
-- echo "No tmp directory found!"
-- exit 1
--fi
--
--#Create the command which creates a temporary directory
--if [ -x "/bin/mktemp" ]
--then
-- INSTDIR=`/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
--else
-- INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-- mkdir "$$INSTDIR"
--fi
--
--if [ -x "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" ]; then
-- "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" add --shared "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/share/extension/install/${OXTFILENAME}" "-env:UserInstallation=file://////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
--fi
--
--if [ -n "$$INSTDIR" ]; then
-- rm -rf "$$INSTDIR"
--fi
--
--exit 0
--
--
--END
--
--%preremove << END
--# if this is an update, just do nothing
--test "$$1" = "0" || exit 0
--
--#Find the temp dir
--if [ -n "$$TMPDIR" ]; then
-- UNOPKGTMP="$$TMPDIR"
--elif [ -n "$$TMP" ]; then
-- UNOPKGTMP="$$TMP"
--elif [ -d "/tmp" ]; then
-- UNOPKGTMP="/tmp"
--else
-- echo "No tmp directory found!"
-- exit 1
--fi
--
--#Create the command which creates a temporary directory
--if [ -x "/bin/mktemp" ]
--then
-- INSTDIR=`/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
--else
-- INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-- mkdir "$$INSTDIR"
--fi
--
--if [ -x "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" ]; then
-- "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" remove --shared "${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
--fi
--
--if [ -n "$$INSTDIR" ]; then
-- rm -rf "$$INSTDIR"
--fi
--
--exit 0
--END
--
--%system solaris
--
--%postinstall << END
--
--if [ -n "$$TMPDIR" ]; then
-- UNOPKGTMP="$$TMPDIR"
--elif [ -n "$$TMP" ]; then
-- UNOPKGTMP="$$TMP"
--elif [ -d "/tmp" ]; then
-- UNOPKGTMP="/tmp"
--else
-- echo "No tmp directory found!"
-- exit 1
--fi
--
--#Create the command which creates a temporary directory
--if [ -x "/usr/bin/mktemp" ]
--then
-- INSTDIR=`/usr/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
--else
-- INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-- mkdir "$$INSTDIR"
--fi
--
--# Use postrun command on Solaris where available (OpenSolaris)
--if [ -x $$PKG_INSTALL_ROOT/usr/lib/postrun ]; then
--( echo "test -x \"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg\" || exit 0"
-- echo "umask 022"
-- echo "\"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg\" add --shared \"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/share/extension/install/${OXTFILENAME}\" \"-env:UserInstallation=file:////$$INSTDIR\" '-env:UNO_JAVA_JFW_INSTALL_DATA=\$$ORIGIN/../share/config/javasettingsunopkginstall.xml'"
--) | $$PKG_INSTALL_ROOT/usr/lib/postrun -b -c UNOPKG
--else
-- # No postrun available, try running unopkg directly
-- "$$BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg" add --shared "$$BASEDIR/PRODUCTDIRECTORYNAME/share/extension/install/${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
-- if [ "$$?" != "0" ]; then
-- echo "\nERROR: Installation of UNO extension ${OXTFILENAME} failed."
-- test "$$BASEDIR" = "$$CLIENT_BASEDIR" || echo "ERROR: alternate root install requires SUNWpostrun package to be installed"
-- echo 'ERROR: Make sure the runtime requirements (operating system, patch level, architecture) are met.'
-- exit 1
-- fi
--fi
--
--if [ -n "$$INSTDIR" ]; then
-- rm -rf "$$INSTDIR"
--fi
--
--exit 0
--END
--
--%preremove << END
--if [ -n "$$TMPDIR" ]; then
-- UNOPKGTMP="$$TMPDIR"
--elif [ -n "$$TMP" ]; then
-- UNOPKGTMP="$$TMP"
--elif [ -d "/tmp" ]; then
-- UNOPKGTMP="/tmp"
--else
-- echo "No tmp directory found!"
-- exit 1
--fi
--
--#Create the command which creates a temporary directory
--if [ -x "/usr/bin/mktemp" ]
--then
-- INSTDIR=`/usr/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
--else
-- INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-- mkdir "$$INSTDIR"
--fi
--
--# Use postrun command on Solaris where available (OpenSolaris)
--if [ -x $$PKG_INSTALL_ROOT/usr/lib/postrun ]; then
--( echo "test -x \"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg\" || exit 0"
-- echo "cd \"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program\""
-- echo "umask 022"
-- echo "\"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg\" remove --shared \"${OXTFILENAME}\" \"-env:UserInstallation=file:////$$INSTDIR\" '-env:UNO_JAVA_JFW_INSTALL_DATA=\$$ORIGIN/../share/config/javasettingsunopkginstall.xml'"
-- echo "rm -rf \"$$INSTDIR\""
--) | $$PKG_INSTALL_ROOT/usr/lib/postrun -b -c UNOPKG
--else
-- # No postrun available, try running unopkg directly
-- test -x $$BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg || exit 0
-- "$$BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg" remove --shared "${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
-- if [ "$$?" != "0" ]; then
-- echo "\nERROR: Removal of UNO extension ${OXTFILENAME} failed."
-- test "$$BASEDIR" = "$$CLIENT_BASEDIR" || echo "ERROR: alternate root uninstall requires SUNWpostrun package to be installed"
-- echo 'ERROR: Make sure the runtime requirements (operating system, patch level, architecture) are met.'
-- exit 1
-- fi
--fi
--
--if [ -n "$$INSTDIR" ]; then
-- rm -rf "$$INSTDIR"
--fi
--
--exit 0
--END
--
--%system all
+--- setup_native/source/packinfo/shellscripts_extensions.txt.orig 2008-04-03 21:25:43.000000000 +0200
++++ setup_native/source/packinfo/shellscripts_extensions.txt 2008-04-03 21:26:05.000000000 +0200
+@@ -1,17 +1,184 @@
+-%system linux
+%format rpm
+# As remove does not need the oxt file, this could potentially
+# bee done in the postinstall script as well.
@@ -370,41 +163,39 @@
+
+%format deb
+#Start DEB
-+
-+# As remove does not need the oxt file, this could potentially
-+# be done in the postinstall script as well.
-+%preinstall << END
-+# if this is an update, remove the old package instance first
+
+ # As remove does not need the oxt file, this could potentially
+ # be done in the postinstall script as well.
+ %preinstall << END
+ # if this is an update, remove the old package instance first
+-test "$$1" = "2" || exit 0
+
+if [ "$$1" != "upgrade" ]
+then
+ exit 0
+fi
-+
-+#Find the temp dir
+
+ #Find the temp dir
+-if [ -n "$$TMPDIR" ]; then
+if [ -n "$$TMPDIR" ]
+then
-+ UNOPKGTMP="$$TMPDIR"
+ UNOPKGTMP="$$TMPDIR"
+-elif [ -n "$$TMP" ]; then
+elif [ -n "$$TMP" ]
+then
-+ UNOPKGTMP="$$TMP"
+ UNOPKGTMP="$$TMP"
+-elif [ -d "/tmp" ]; then
+elif [ -d "/tmp" ]
+then
-+ UNOPKGTMP="/tmp"
-+else
-+ echo "No tmp directory found!"
-+ exit 1
-+fi
-+
-+#Create the command which creates a temporary directory
-+if [ -x "/bin/mktemp" ]
-+then
-+ INSTDIR=`/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
-+else
-+ INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-+ mkdir "$$INSTDIR"
-+fi
-+
+ UNOPKGTMP="/tmp"
+ else
+ echo "No tmp directory found!"
+@@ -27,11 +194,20 @@
+ mkdir "$$INSTDIR"
+ fi
+
+-if [ -x "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" ]; then
+- "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" remove --shared "${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
+echo "Searching unopkg...\n\n"
+#possible OOOPATHs ( /opt/openoffice.org2.4/ /usr/lib/openoffice/ /usr/lib/openoffice.org/ /usr/lib/ooo-2.4/ /usr/lib/ooo-2.2/ /usr/lib/ooo-2.0/ /opt/openoffice/ /usr/lib64/openoffice/)
+OOOPATH="/opt/openoffice.org2.4/"
@@ -414,42 +205,39 @@
+ "$${OOOPATH}/program/unopkg" remove --shared "${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
+else
+ echo "."
-+fi
+ fi
+echo "\nDone\n."
-+
+
+-if [ -n "$$INSTDIR" ]; then
+if [ -n "$$INSTDIR" ]
+then
-+ rm -rf "$$INSTDIR"
-+fi
-+
-+exit 0
-+END
-+
-+%postinstall << END
-+#Find the temp dir
+ rm -rf "$$INSTDIR"
+ fi
+
+@@ -40,11 +216,14 @@
+
+ %postinstall << END
+ #Find the temp dir
+-if [ -n "$$TMPDIR" ]; then
+if [ -n "$$TMPDIR" ]
+then
-+ UNOPKGTMP="$$TMPDIR"
+ UNOPKGTMP="$$TMPDIR"
+-elif [ -n "$$TMP" ]; then
+elif [ -n "$$TMP" ]
+then
-+ UNOPKGTMP="$$TMP"
+ UNOPKGTMP="$$TMP"
+-elif [ -d "/tmp" ]; then
+elif [ -d "/tmp" ]
+then
-+ UNOPKGTMP="/tmp"
-+else
-+ echo "No tmp directory found!"
-+ exit 1
-+fi
-+
-+#Create the command which creates a temporary directory
-+if [ -x "/bin/mktemp" ]
-+then
-+ INSTDIR=`/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
-+else
-+ INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-+ mkdir "$$INSTDIR"
-+fi
-+
+ UNOPKGTMP="/tmp"
+ else
+ echo "No tmp directory found!"
+@@ -60,11 +239,20 @@
+ mkdir "$$INSTDIR"
+ fi
+
+-if [ -x "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" ]; then
+- "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" add --shared "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/share/extension/install/${OXTFILENAME}" "-env:UserInstallation=file://////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
+echo "Searching unopkg...\n\n"
+#possible OOOPATHs ( /opt/openoffice.org2.4/ /usr/lib/openoffice/ /usr/lib/openoffice.org/ /usr/lib/ooo-2.4/ /usr/lib/ooo-2.2/ /usr/lib/ooo-2.0/ /opt/openoffice/ /usr/lib64/openoffice/)
+OOOPATH="/opt/openoffice.org2.4/"
@@ -459,51 +247,47 @@
+ "$${OOOPATH}/program/unopkg" add --shared "$${OOOPATH}/share/extension/install/${OXTFILENAME}" "-env:UserInstallation=file://////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
+else
+ echo "."
-+fi
+ fi
+echo "\nDone\n."
-+
+
+-if [ -n "$$INSTDIR" ]; then
+if [ -n "$$INSTDIR" ]
+then
-+ rm -rf "$$INSTDIR"
-+fi
-+
-+exit 0
-+
-+
-+END
-+
-+%preremove << END
-+# if this is an update, just do nothing
+ rm -rf "$$INSTDIR"
+ fi
+
+@@ -75,14 +263,21 @@
+
+ %preremove << END
+ # if this is an update, just do nothing
+-test "$$1" = "0" || exit 0
+
+if [ "$$1" = "upgrade" ]
+then
+ exit 0
+fi
-+
-+#Find the temp dir
+
+ #Find the temp dir
+-if [ -n "$$TMPDIR" ]; then
+if [ -n "$$TMPDIR" ]
+then
-+ UNOPKGTMP="$$TMPDIR"
+ UNOPKGTMP="$$TMPDIR"
+-elif [ -n "$$TMP" ]; then
+elif [ -n "$$TMP" ]
+then
-+ UNOPKGTMP="$$TMP"
+ UNOPKGTMP="$$TMP"
+-elif [ -d "/tmp" ]; then
+elif [ -d "/tmp" ]
+then
-+ UNOPKGTMP="/tmp"
-+else
-+ echo "No tmp directory found!"
-+ exit 1
-+fi
-+
-+#Create the command which creates a temporary directory
-+if [ -x "/bin/mktemp" ]
-+then
-+ INSTDIR=`/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
-+else
-+ INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-+ mkdir "$$INSTDIR"
-+fi
-+
+ UNOPKGTMP="/tmp"
+ else
+ echo "No tmp directory found!"
+@@ -98,17 +293,28 @@
+ mkdir "$$INSTDIR"
+ fi
+
+-if [ -x "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" ]; then
+- "$$RPM_INSTALL_PREFIX/PRODUCTDIRECTORYNAME/program/unopkg" remove --shared "${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
+echo "Searching unopkg...\n\n"
+#possible OOOPATHs ( /opt/openoffice.org2.4/ /usr/lib/openoffice/ /usr/lib/openoffice.org/ /usr/lib/ooo-2.4/ /usr/lib/ooo-2.2/ /usr/lib/ooo-2.0/ /opt/openoffice/ /usr/lib64/openoffice/)
+OOOPATH="/opt/openoffice.org2.4/"
@@ -514,112 +298,19 @@
+ "$${OOOPATH}/program/unopkg" remove --shared "${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
+else
+ echo "."
-+fi
+ fi
+echo "\nDone\n."
-+
+
+-if [ -n "$$INSTDIR" ]; then
+if [ -n "$$INSTDIR" ]
+then
-+ rm -rf "$$INSTDIR"
-+fi
-+
-+exit 0
-+END
-+
+ rm -rf "$$INSTDIR"
+ fi
+
+ exit 0
+ END
+
+### End of DEB
-+%system solaris
-+
-+%postinstall << END
-+
-+if [ -n "$$TMPDIR" ]; then
-+ UNOPKGTMP="$$TMPDIR"
-+elif [ -n "$$TMP" ]; then
-+ UNOPKGTMP="$$TMP"
-+elif [ -d "/tmp" ]; then
-+ UNOPKGTMP="/tmp"
-+else
-+ echo "No tmp directory found!"
-+ exit 1
-+fi
-+
-+#Create the command which creates a temporary directory
-+if [ -x "/usr/bin/mktemp" ]
-+then
-+ INSTDIR=`/usr/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
-+else
-+ INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-+ mkdir "$$INSTDIR"
-+fi
-+
-+# Use postrun command on Solaris where available (OpenSolaris)
-+if [ -x $$PKG_INSTALL_ROOT/usr/lib/postrun ]; then
-+( echo "test -x \"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg\" || exit 0"
-+ echo "umask 022"
-+ echo "\"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg\" add --shared \"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/share/extension/install/${OXTFILENAME}\" \"-env:UserInstallation=file:////$$INSTDIR\" '-env:UNO_JAVA_JFW_INSTALL_DATA=\$$ORIGIN/../share/config/javasettingsunopkginstall.xml'"
-+) | $$PKG_INSTALL_ROOT/usr/lib/postrun -b -c UNOPKG
-+else
-+ # No postrun available, try running unopkg directly
-+ "$$BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg" add --shared "$$BASEDIR/PRODUCTDIRECTORYNAME/share/extension/install/${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
-+ if [ "$$?" != "0" ]; then
-+ echo "\nERROR: Installation of UNO extension ${OXTFILENAME} failed."
-+ test "$$BASEDIR" = "$$CLIENT_BASEDIR" || echo "ERROR: alternate root install requires SUNWpostrun package to be installed"
-+ echo 'ERROR: Make sure the runtime requirements (operating system, patch level, architecture) are met.'
-+ exit 1
-+ fi
-+fi
-+
-+if [ -n "$$INSTDIR" ]; then
-+ rm -rf "$$INSTDIR"
-+fi
-+
-+exit 0
-+END
-+
-+%preremove << END
-+if [ -n "$$TMPDIR" ]; then
-+ UNOPKGTMP="$$TMPDIR"
-+elif [ -n "$$TMP" ]; then
-+ UNOPKGTMP="$$TMP"
-+elif [ -d "/tmp" ]; then
-+ UNOPKGTMP="/tmp"
-+else
-+ echo "No tmp directory found!"
-+ exit 1
-+fi
-+
-+#Create the command which creates a temporary directory
-+if [ -x "/usr/bin/mktemp" ]
-+then
-+ INSTDIR=`/usr/bin/mktemp -d "$${UNOPKGTMP}/userinstall.XXXXXX"`
-+else
-+ INSTDIR="$${UNOPKGTMP}/userinstall.$$$$"
-+ mkdir "$$INSTDIR"
-+fi
-+
-+# Use postrun command on Solaris where available (OpenSolaris)
-+if [ -x $$PKG_INSTALL_ROOT/usr/lib/postrun ]; then
-+( echo "test -x \"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg\" || exit 0"
-+ echo "cd \"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program\""
-+ echo "umask 022"
-+ echo "\"$$CLIENT_BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg\" remove --shared \"${OXTFILENAME}\" \"-env:UserInstallation=file:////$$INSTDIR\" '-env:UNO_JAVA_JFW_INSTALL_DATA=\$$ORIGIN/../share/config/javasettingsunopkginstall.xml'"
-+ echo "rm -rf \"$$INSTDIR\""
-+) | $$PKG_INSTALL_ROOT/usr/lib/postrun -b -c UNOPKG
-+else
-+ # No postrun available, try running unopkg directly
-+ test -x $$BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg || exit 0
-+ "$$BASEDIR/PRODUCTDIRECTORYNAME/program/unopkg" remove --shared "${OXTFILENAME}" "-env:UserInstallation=file:////$$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
-+ if [ "$$?" != "0" ]; then
-+ echo "\nERROR: Removal of UNO extension ${OXTFILENAME} failed."
-+ test "$$BASEDIR" = "$$CLIENT_BASEDIR" || echo "ERROR: alternate root uninstall requires SUNWpostrun package to be installed"
-+ echo 'ERROR: Make sure the runtime requirements (operating system, patch level, architecture) are met.'
-+ exit 1
-+ fi
-+fi
-+
-+if [ -n "$$INSTDIR" ]; then
-+ rm -rf "$$INSTDIR"
-+fi
-+
-+exit 0
-+END
-+
-+%system all
+ %system solaris
+
+ %postinstall << END
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]